UserDataMeta (CMDB Model API)
Keywords: com.collation.platform.model.topology.meta.UserDataMeta interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.meta
Interface UserDataMeta

All Superinterfaces:
  CmdbMeta, ModelObject, java.io.Serializable

    public interface UserDataMeta

extends CmdbMeta

Naming Rules:
  0="globalName" 1="name,category"
Persistable:
  true
Table Name:
  USERDATAMETA

Method Summary
`UserDataAttributeMeta[]` | `getAttrMeta()`
`java.lang.String` | `getCategory()`
`java.lang.String` | `getGlobalName()`
`java.lang.String` | `getName()`
`boolean` | `hasAttrMeta()`
`boolean` | `hasCategory()`
`boolean` | `hasGlobalName()`
`boolean` | `hasName()`
`void` | `setAttrMeta(UserDataAttributeMeta[] udam)`
`void` | `setCategory(java.lang.String s)`
`void` | `setGlobalName(java.lang.String s)`
`void` | `setName(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getGlobalName

    java.lang.String getGlobalName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setGlobalName

    void setGlobalName(java.lang.String s)

### hasGlobalName

    boolean hasGlobalName()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String s)

### hasName

    boolean hasName()

### getCategory

    java.lang.String getCategory()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCategory

    void setCategory(java.lang.String s)

### hasCategory

    boolean hasCategory()

### getAttrMeta

    UserDataAttributeMeta[] getAttrMeta()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    UDM_UDAM
  Containment Relationship:
    true

### setAttrMeta

    void setAttrMeta(UserDataAttributeMeta[] udam)

### hasAttrMeta

    boolean hasAttrMeta()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD